:root {
	/* 🎨 Цвета */
	--border-color: #595959;
	--bg: #f1f2f4;
	--color-blue: #034EA2;
	--link-color: var(--color-blue);
	--gray-light: #ECECEC;
	--gray-medium: #D0D4D9;
	--gray-bg: #F1F2F3;
	--black-50: #5151514D;

	/* 📏 Шрифты и линии */
	--fz-base: 16px;
	--fz-small: 18px;
	--fz-medium: 20px;
	--fz-large: 22px;
	--fz-xlarge: 23px;
	--fz-xxlarge: 24px;

	--lh-base: 21px;
	--lh-medium: 22px;
	--lh-large: 28px;

	--fw-light: 250;
	--fw-regular: 300;
	--fw-medium: 400;
	--fw-semibold: 600;

	/* 🧱 Отступы и gap */
	--gap-sm: 15px;
	--gap-md: 20px;
	--gap-lg: 25px;
	--gap-xl: 30px;
	--gap-xxl: 45px;
	--gap-xxxl: 60px;
	--gap-ultra: 90px;

	/* ⭕ Радиусы */
	--br-sm: 4px;
	--br-md: 8px;

	/* ⏱ Анимации */
	--delay: .2s;
}

* {
	margin: 0;
	padding: 0;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

html {
	font-size: var(--fz-base);
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
	line-height: var(--lh-base);
	font-weight: normal;
}

body {
	min-width: 320px;
	overflow-y: scroll;
}

.container {
	max-width: 1440px;
	margin: 0 auto;
	padding-left: 11vw;
	padding-right: 11vw;
}

a:not([class]) {
	color: var(--link-color);
	font-weight: var(--fw-semibold);
	text-decoration: none;

	&:hover {
		text-decoration: underline;
	}
}

@media (width <=1200px) {
	.container {
		padding-left: 35px;
		padding-right: 35px;
	}
}

/*---------------------------Header*/
.header {
	background-image: url('img/slide.jpg');
	background-repeat: no-repeat;
	padding-bottom: 64px;
	background-position: center;
	background-color: #ddd9d6;
	margin-bottom: var(--gap-xl);
}

.header__logo {
	padding-bottom: 30px;
}

.header__text {
	background-color: rgb(255, 255, 255, .8);
	max-width: 480px;
	padding: var(--gap-lg) var(--gap-md);
	padding-top: 64px;
	font-size: var(--fz-base);

	h1 {
		font-size: var(--fz-xlarge);
		line-height: var(--lh-large);
		margin-bottom: 18px;
		text-transform: uppercase;
	}

	ul {
		list-style: none;

		&:not(:last-child) {
			margin-bottom: 18px;
		}
	}
}

img {
	max-width: 100%;
}

/*---------------------------Catalog*/
.catalog {
	margin-bottom: var(--gap-xl);
}

.catalog__list {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	gap: var(--gap-ultra);
}

.catalog__info {
	margin-bottom: var(--gap-xl);
}

/*---------------------------Catalog item*/
.catalog-item {
	padding: var(--gap-lg) calc(var(--gap-lg) * 1.8);
	position: relative;
	border-radius: var(--br-md);
	display: flex;
	flex-direction: column;
	gap: var(--gap-lg);
	padding-right: 125px;
	box-shadow: 0px 4px 8px 0px var(--black-50);
}

.catalog-item__name {
	font-size: var(--fz-medium);
	font-weight: var(--fw-semibold);
	color: var(--color-blue);
}

.catalog-item__desc {
	font-weight: var(--fw-regular);
	font-size: var(--fz-small);
}

.catalog-item__link {
	border: .5px solid var(--border-color);
	padding: 10px 15px;
	text-decoration: none;
	color: var(--border-color);
	font-weight: var(--fw-light);
	border-radius: var(--br-sm);
	align-self: flex-start;
	margin-top: auto;

	&:hover {
		color: var(--color-blue);
		border-color: var(--color-blue);
	}

	svg {
		width: 15px;
		height: 15px;
		margin-right: 7px;
	}
}

.catalog-item__img {
	position: absolute;
	right: -30px;
	bottom: 18px;
}

@media (width <=980px) {
	.catalog__list {
		display: flex;
		flex-direction: column;
		gap: var(--gap-xxl);
	}
}

@media (width <=450px) {
	.catalog-item__img {
		display: none;
	}

	.catalog-item {
		padding: var(--gap-lg);
	}
}

/*---------------------------About*/
.about {
	margin-bottom: var(--gap-xxl);

	h2 {
		color: var(--gray-medium);
		font-size: var(--fz-large);
		margin-bottom: var(--gap-lg);
		font-weight: var(--fw-medium);
	}
}

.about__line {
	display: flex;
	align-items: center;
	gap: var(--gap-xxxl);
}

.about__text {
	display: flex;
	flex-direction: column;
	gap: var(--gap-md);
}

.about__title {
	font-size: var(--fz-xxlarge);
	font-weight: var(--fw-semibold);
}

.about__list {
	list-style: none;

	svg {
		width: 22px;
		height: 17px;
		color: var(--color-blue);
		flex-shrink: 0;
	}

	li {
		display: flex;
		align-items: center;
		gap: var(--gap-sm);

		&:not(:last-child) {
			margin-bottom: var(--gap-sm);
		}
	}
}

.about__info {
	padding: 21px 35px;
	background-color: var(--gray-light);
	border-radius: var(--br-md);
	font-size: var(--fz-small);
	line-height: var(--lh-medium);
}

@media (width <=980px) {
	.about__line {
		flex-direction: column;
		gap: var(--gap-lg);
	}
}

/*---------------------------Footer*/
.footer {
	background-color: var(--gray-bg);
	padding-block: 44px 100px;

	.container {
		padding-left: var(--gap-md);
		padding-right: var(--gap-md);
	}
}

.footer__list {
	display: flex;
	gap: 48px;
}

.footer__logo {
	flex-shrink: 0;
}

.footer__item {
	min-width: 0;
	padding-left: 30px;
	flex: 1;
	position: relative;

	svg {
		left: 0;
		top: 3px;
		position: absolute;
	}
}

@media (width <=1200px) {
	.footer__list {
		flex-direction: column;
		align-items: center;
		justify-content: center;
		gap: var(--gap-lg);
	}
}
